Skip to content
Ona Docs

GetDotfilesConfiguration

POST/gitpod.v1.UserService/GetDotfilesConfiguration

Gets the dotfiles for a user.

Use this method to:

  • Retrieve user dotfiles

Examples

  • Get dotfiles:

    Retrieves the dotfiles for the current user.

    {}
Body ParametersJSONExpand Collapse
empty: optional boolean
ReturnsExpand Collapse
dotfilesConfiguration: DotfilesConfiguration { repository }
repository: optional string

The URL of a dotfiles repository.

formaturi

GetDotfilesConfiguration

curl https://app.gitpod.io/api/gitpod.v1.UserService/GetDotfilesConfiguration \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "dotfilesConfiguration": {
    "repository": "https://example.com"
  }
}
Returns Examples
{
  "dotfilesConfiguration": {
    "repository": "https://example.com"
  }
}